From dd3b45399b985942e356e0e5c8dfc4f0a070e449 Mon Sep 17 00:00:00 2001
From: Gerard Vermeulen <gerard.vermeulen@posteo.net>
Date: Fri, 2 Feb 2024 13:06:29 +0100
Subject: [PATCH] lisp/ox-latex.el: make org-latex-prefer-user-labels safe file
 local

* lisp/ox-latex.el (org-latex-prefer-user-labels): make it a safe file
local variable for consistency with `org-latex-reference-command' and
`org-html-prefer-user-labels' being also safe file local variables.
---
 lisp/ox-latex.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/ox-latex.el b/lisp/ox-latex.el
index d06b3e9ac..2b44679c7 100644
--- a/lisp/ox-latex.el
+++ b/lisp/ox-latex.el
@@ -401,7 +401,8 @@ references."
   :group 'org-export-latex
   :type 'boolean
   :version "26.1"
-  :package-version '(Org . "8.3"))
+  :package-version '(Org . "8.3")
+  :safe #'booleanp)
 
 (defcustom org-latex-reference-command "\\ref{%s}"
   "Format string that takes a reference to produce a LaTeX reference command.
-- 
2.42.0

